package com.chenyang.nse.bussiness.performance_monitor.entity;

import com.chenyang.nse.bussiness.performance_monitor.utils.UUIDGenerator;
import java.util.Date;

public class CoreApiResponseMsg {
   protected String code;
   protected String msg;
   protected boolean flag;
   protected String errorInstanceId = UUIDGenerator.getUUID();
   protected Object data;
   public int total;
   protected Date responseDate = new Date();

   public int getTotal() {
      return this.total;
   }

   public void setTotal(int total) {
      this.total = total;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getMsg() {
      return this.msg;
   }

   public void setMsg(String msg) {
      this.msg = msg;
   }

   public boolean isFlag() {
      return this.flag;
   }

   public void setFlag(boolean flag) {
      this.flag = flag;
   }

   public String getErrorInstanceId() {
      return this.errorInstanceId;
   }

   public void setErrorInstanceId(String errorInstanceId) {
      this.errorInstanceId = errorInstanceId;
   }

   public Object getData() {
      return this.data;
   }

   public void setData(Object data) {
      this.data = data;
   }

   public Date getResponseDate() {
      return this.responseDate;
   }

   public void setResponseDate(Date responseDate) {
      this.responseDate = responseDate;
   }
}
